# Generated by Django 2.2.3 on 2019-07-15 09:25

import django.contrib.auth.validators
from django.db import migrations, models
import django.utils.timezone
import flax_id.django.fields
import olki.apps.account.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0011_update_proxy_permissions'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('username', models.CharField(error_messages={'unique': 'A user with that username already exists.'}, help_text='Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.', max_length=150, validators=[django.contrib.auth.validators.UnicodeUsernameValidator()], verbose_name='username')),
                ('first_name', models.CharField(blank=True, max_length=30, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=150, verbose_name='last name')),
                ('is_staff', models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('created_at', models.DateTimeField(blank=True, default=django.utils.timezone.now, editable=False)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('id', flax_id.django.fields.FlaxId(editable=False, help_text='A Flax ID that is used as a primary key for the model.', max_length=16, primary_key=True, serialize=False, unique=True)),
                ('locality', models.CharField(choices=[('LOCAL', 'LO'), ('LDAP', 'LD'), ('SAML', 'SA'), ('CAS', 'CA')], default='LO', editable=False, help_text='Designates whether a user is local or coming from LDAP,CAS, SAML, or any other authorization backend.', max_length=2, verbose_name='locality')),
                ('is_inactive_reason', models.CharField(choices=[('pendingApproval', 'PA'), ('pendingSelfVerification', 'PV'), ('selfDisabled', 'SD'), ('quarantined', 'QU'), ('banned', 'BA')], default=None, help_text='Designates the reason(s) a user account is inactiveSome reasons are naturally occuring on account creation,some are decided by the moderation - they are then cumulative.', max_length=2, null=True, verbose_name='inactive reason')),
                ('email', models.EmailField(max_length=254, unique=True, verbose_name='email address')),
                ('last_activity', models.DateTimeField(blank=True, default=None, null=True)),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
            ],
            options={
                'permissions': [('list_users', 'Can list all users'), ('change_is_active', 'Can change activity statuses and their reasons'), ('change_moderation_status', 'Can moderate user activities')],
            },
            managers=[
                ('objects', olki.apps.account.models.UserManager()),
            ],
        ),
    ]
